package com.zilber.boot.intelligencesite.mapper;

import com.zilber.boot.intelligencesite.entity.IProductionPlan;
import com.zilber.boot.intelligencesite.entity.IProgress;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 进度跟踪表 Mapper 接口
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
public interface IProgressMapper extends BaseMapper<IProgress> {

    List<IProgress> queryList(IProgress iProgress);

    List<IProgress> queryListByContion(IProgress iProgress);

    List<IProgress> queryYsg();

    List<IProgress> queryProcessSj(@Param("planId") Long planId, @Param("date") String date);
    IProgress queryByIdAndDate(@Param("id") Long id, @Param("processDate") Date processDate);
    List<IProgress> queryById(Long id);

}
