package com.zilber.boot.intelligencesite.service;

import com.zilber.boot.intelligencesite.entity.IProductionPlan;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 生产计划表 服务类
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
public interface IIProductionPlanService extends IService<IProductionPlan> {

    List<IProductionPlan> queryList(IProductionPlan iProductionPlan);

    List<Map<String, Object>> statistics();

    List<IProductionPlan> querywarn(Integer day);

    Map<String, Object> dataOverview();

    List<IProductionPlan>  bigscreenProgress();

    List<IProductionPlan> queryListNew(IProductionPlan iProductionPlan, Date date);
}
