package com.zilber.boot.intelligencesite.service.impl;

import com.zilber.boot.intelligencesite.entity.IResourceSchedule;
import com.zilber.boot.intelligencesite.mapper.IResourceScheduleMapper;
import com.zilber.boot.intelligencesite.service.IIResourceScheduleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 资源调度表 服务实现类
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Service
public class IResourceScheduleServiceImpl extends ServiceImpl<IResourceScheduleMapper, IResourceSchedule> implements IIResourceScheduleService {

    @Resource
    private IResourceScheduleMapper iResourceScheduleMapper;



    @Override
    public List<IResourceSchedule> queryList(IResourceSchedule iResourceSchedule) {
        return iResourceScheduleMapper.queryList(iResourceSchedule);
    }

    @Override
    public void removeAll() {
        iResourceScheduleMapper.removeAll();
    }
}
