package com.zilber.boot.intelligencesite.mapper;

import com.zilber.boot.intelligencesite.entity.IProductionPlan;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 生产计划表 Mapper 接口
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
public interface IProductionPlanMapper extends BaseMapper<IProductionPlan> {

    List<IProductionPlan> queryList(IProductionPlan iProductionPlan);

    List<IProductionPlan> querywarn();

    int queryTotal();

    int queryGl();

    List<IProductionPlan> bigscreenProgress();

    List<IProductionPlan> statistics();

    IProductionPlan statisticsByDateAndName(@Param("id") Long id, @Param("date") String date);

    List<IProductionPlan> queryListNew(IProductionPlan iProductionPlan);

}
