package com.zilber.boot.intelligencesite.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zilber.boot.intelligencesite.entity.IProgress;
import com.zilber.boot.intelligencesite.entity.IProgressNew;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 进度跟踪表 Mapper 接口
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
public interface IProgressNewMapper extends BaseMapper<IProgressNew> {

    IProgressNew queryByDate(@Param("planId") Long planId, Date processDate);

    List<IProgressNew> queryList(IProgress setPlanId);

    List<IProgressNew> queryProcessSj(@Param("planId") Long planId, @Param("date") String date);

    List<IProgressNew> queryYsg();
}
