package com.zilber.boot.intelligencesite.mapper;

import com.zilber.boot.intelligencesite.entity.IResourceSchedule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zilber.boot.intelligencesite.schedule.dto.PlanDTO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 资源调度表 Mapper 接口
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
public interface IResourceScheduleMapper extends BaseMapper<IResourceSchedule> {

    List<IResourceSchedule> queryList(IResourceSchedule iResourceSchedule);

    void removeAll();
    List<PlanDTO> listCheckedPlan(@Param("date") Date date);

}
