package com.zilber.boot.intelligencesite.schedule.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zilber.boot.intelligencesite.entity.IProductionPlan;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Author LJX
 * @TIME 2025-05-13 14:14
 * @PROJECT intelligence-site
 * created by Intellij IDEA
 * Description
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PlanDTO {

    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "计划名称")
    private String planName;

    @ApiModelProperty(value = "计划开始时间")
    private Date startTime;

    @ApiModelProperty(value = "计划结束时间")
    private Date endTime;

    @ApiModelProperty(value = "总工期天数")
    private Integer duration;

    private Integer diff;

    @ApiModelProperty(value = "累计完成进度")
    private Integer accumulativeProgress;

}
